<?php

header("Cache-Control: no-cache");
if ($ver=="wml")header ("Content-type:text/vnd.wap.wml; charset=utf-8");
else header("Content-Type:text/html; charset=UTF-8");

require("inc.php");
$link = connect_db();       
list($row, $id, $ps, $fsize1, $fsize2) = check_login($link);
require("version.php");

if($row["level"] < 4) {
if ($ver=="wml"){
echo $xml;
echo $dtd;
echo "<wml>\n";
echo "<card id=\"error\" title=\"Ошибка доступа\" ontimer=\"enter.php?$ses&amp;ref=$ref\"><timer value=\"15\"/>";
echo "<p align=\"center\">\n";
}else{
echo "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">";
echo "<html xmlns=\"http://www.w3.org/1999/xhtml\">";
echo "<head><link rel=\"stylesheet\" type=\"text/css\" href=\"css/css.css\"/>";
echo "<title>Ошибка доступа</title>";
echo "<META HTTP-EQUIV=\"Refresh\" CONTENT=\"2; URL=enter.php?$ses&amp;ref=$ref\">";
echo "<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"/></head><body>";
echo "<div align=\"center\">";
}
echo $fsize1;
echo "У вас нет прав доступа!\n";
echo $fsize1;
if ($ver=="wml")echo "</p></card></wml>";
else echo "</div></body></html>";
mysql_close ($link);
exit;
}

$fi = fopen("log/stlog.dat", "a+");
$dat = date ("~d F в H:i~");
$dat = str_replace("January","Января",$dat);
$dat = str_replace("February","Февраля",$dat);
$dat = str_replace("March","Марта",$dat);
$dat= str_replace("April","Апреля",$dat);
$dat = str_replace("May","Мая",$dat);
$dat = str_replace("June","Июня",$dat);
$dat = str_replace("July","Июля",$dat);
$dat = str_replace("August","Августа",$dat);
$dat = str_replace("September","Сентября",$dat);
$dat = str_replace("October","Октября",$dat);
$dat = str_replace("November","Ноября",$dat);
$dat = str_replace("December","Декабря",$dat);
$lst = "<b><u>".$row["user"]."</u></b> Посещал модерку $dat, Его  ip: $REMOTE_ADDR, Браузер: $HTTP_USER_AGENT<br/>";
fwrite($fi, "$divide");
fwrite($fi, "$lst\n");
fflush($fi);
fclose($fi);


$us=$row["user"]; 
$idd=$row["id"]; 
$login=$row["user"]; 
$alltraf=$row["alltraf"];                

ob_start();
if ($ver=="wml"){
echo $xml;
echo $dtd;
echo "<wml>\n";
echo "<head><meta http-equiv=\"Cache-Control\" content=\"no-cache\" forua=\"true\"/></head>\n";
echo "<card id=\"mpanel\" title=\"Модерка\">\n";
echo "<p mode=\"wrap\">\n";
}else{
echo "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">";
echo "<html xmlns=\"http://www.w3.org/1999/xhtml\">";
echo "<head><link rel=\"stylesheet\" type=\"text/css\" href=\"css/css.css\"/>";
echo "<title>Модерка</title>";
echo "<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"/></head><body>";
echo "<div align=\"left\">";
}

switch($go) {

default:
echo $fsize1;
echo "Добрый день, уважаемый(ая) <b>$us</b>!<br/>\n";
echo "Ник или ID юзера:<br/>\n"; 
echo $fsize2;
if ($ver!="wml") echo "<form method=\"POST\" action=\"mpanel.php?$ses&amp;go=stpanel&amp;ref=$ref\" name=\"auth\">\n";
echo "<input name=\"nick\" title=\"nick\" maxlength=\"13\" emptyok=\"true\"/><br/>\n";
if ($ver!="wml") echo "<input type=\"submit\" value=\"Изменить\" name=\"enter\"><br/>\n";
if ($ver=="wml"){
if ($row["level"]>5){
echo $fsize1;
echo "<anchor title=\"go\">Изменить<go href=\"mpanel.php?$ses&amp;go=stpanel&amp;ref=$ref\" method=\"post\">\n";
echo "<postfield name=\"nick\" value=\"$(nick)\"/>\n";
echo "</go></anchor>\n";
echo $fsize2;
echo "<br/>\n";
echo $fsize1;
echo $divide;
echo $fsize2;
}
echo $fsize1;
echo "<b>Пинок</b><br/>\n";
echo "На сколько (мин)<br/>\n";
echo $fsize2;
echo "<input name=\"wtime\" maxlength=\"3\" title=\"vremya\" format=\"*N\" emptyok=\"true\"/><br/>\n";
echo $fsize1;
echo "Причина<br/>\n";
echo $fsize2;
echo "<input name=\"whykik\" maxlength=\"200\" title=\"whykik\" emptyok=\"true\"/><br/>\n";
echo $fsize1;
echo "<anchor title=\"go\">Пнуть засранца<go href=\"kick.php?go=pni&amp;$ses&amp;ref=$ref\" method=\"post\">\n";
echo "<postfield name=\"nick\" value=\"$(nick)\"/>\n";  
echo "<postfield name=\"wtime\" value=\"$(wtime)\"/>\n";  
echo "<postfield name=\"whykik\" value=\"$(whykik)\"/>\n";
echo "</go></anchor>\n";
echo $fsize2;
echo "<br/>\n";
echo $fsize1;
echo $divide;
echo $fsize2;
if ($row["level"]>5){
echo $fsize1;
echo "<anchor title=\"go\">Забанить IP+SOFT<go href=\"bannaip.php?$ses&amp;ref=$ref\" method=\"post\">\n";
echo "<postfield name=\"nick\" value=\"$(nick)\"/>\n";
echo "</go></anchor>\n"; 
echo $fsize2;
echo "<br/>\n";  
}
if ($row["level"]>4){
echo $fsize1;
echo "<anchor title=\"go\">Забанить Huk<go href=\"bann.php?$ses&amp;ref=$ref\" method=\"post\">\n";
echo "<postfield name=\"nick\" value=\"$(nick$ref)\"/>\n";
echo "</go></anchor>\n"; 
echo $fsize2;
echo "<br/>\n";
}
}
if ($row["level"]>4){
echo $fsize1;
echo $divide;
echo "<a href=\"mpanel.php?$ses&amp;go=mobi&amp;ref=$ref\">Добавить объявление</a><br/>";
echo "<a href=\"mpanel.php?$ses&amp;go=dobi&amp;ref=$ref\">Удалить объявление</a><br/>";
echo $fsize2;
}
if ($row["level"]>3){
echo $fsize1;
echo $divide;
echo "<a href=\"mpanel.php?$ses&amp;go=mmeet&amp;ref=$ref\">Добавить встречу</a><br/>";
echo "<a href=\"mpanel.php?$ses&amp;go=dmeet&amp;ref=$ref\">Удалить встречу</a><br/>";
echo "<a href=\"mpanel.php?$ses&amp;go=mgaz&amp;ref=$ref\">Добавить в газету</a><br/>";
echo "<a href=\"mpanel.php?$ses&amp;go=dgaz&amp;ref=$ref\">Удалить из газеты</a><br/>";
echo "<a href=\"mpanel.php?$ses&amp;go=minfa$takep\">Добавить инфу</a><br/>";
echo "<a href=\"mpanel.php?$ses&amp;go=dinfa$takep\">Удалить инфу</a><br/>";
echo $fsize2;
}
if ($row["level"]>4){
echo $fsize1;
echo $divide;
echo "<a href=\"mpanel.php?$ses&amp;go=mnews&amp;ref=$ref\">Добавить новость</a><br/>";
echo "<a href=\"mpanel.php?$ses&amp;go=dnews&amp;ref=$ref\">Удалить новость</a><br/>";
echo $fsize2;
}
if ($row["level"]>5){
echo $fsize1;
echo $divide;
echo "<a href=\"mpanel.php?$ses&amp;go=msvadbi&amp;ref=$ref\">Добавить свадьбу</a><br/>";
echo "<a href=\"mpanel.php?$ses&amp;go=dsvadbi&amp;ref=$ref\">Удалить свадьбу</a><br/>";
echo "<a href=\"mpanel.php?$ses&amp;go=razvod&amp;ref=$ref\">Развести</a><br/>";
echo $divide;
echo "<a href=\"mpanel.php?$ses&amp;go=clroom&amp;ref=$ref\">Чистка комнат</a><br/>\n";
echo $fsize2;
}
break;

case 'mnews':
$content=trim(htmlspecialchars(stripslashes($content)));
$date=date("j.m.Y");
if(empty($content)) $error=$error."<u>Пустое содержание!</u><br/>";
if(empty($action)) {
echo $fsize1;
echo "Новость:<br/>";
echo $fsize2;
echo $fsize1;
if ($ver=="wml"){
echo "<anchor>Добавить<go href=\"mpanel.php?$ses&amp;go=mnews\" method=\"post\">";
echo "<postfield name=\"action\" value=\"add\"/>";
echo "<postfield name=\"content\" value=\"$(content)\"/>";
echo "<postfield name=\"date\" value=\"$date\"/>";
echo "</go></anchor>";
echo $fsize2;
echo "<br/>";
}else{
echo "<form method=\"POST\" action=\"mpanel.php?$ses&amp;go=mnews\" name=\"auth\">\n";
echo "<input name=\"content\"/><br/>";
echo "<input type=\"hidden\" name=\"action\" value=\"add\"/>";
echo "<input type=\"hidden\" name=\"date\" value=\"$date\"/>";
echo "<input type=\"submit\" value=\"Добавить\" name=\"enter\"><br/>\n";
}
} else { 
if(empty($error)) {
if($content!=$last_news['content']) {
if(mysql_query("insert into news values(0,'$login','$content','$date');")) { 
echo $fsize1;
echo "<b>Ваша новость успешно добавлена!</b><br/>"; 
} else { 
echo $fsize1;
echo "<b>Ошибка записи новости!</b><br/>"; 
echo $fsize2;
} 
} else {
echo $fsize1;
echo "<b>Такая новость уже добавлена!</b><br/>"; 
}
echo $fsize2;
} else { 
echo $fsize1;
echo $error; 
echo $fsize2;
} 
}
break;

case 'dnews':
$q = mysql_query("select id,content from news order by id desc;");
if (mysql_affected_rows() == 0) {
echo $fsize1;
echo "Новостей нет!!!<br/>\n";
echo $fsize2;
} else {
if(empty($action)) {
while($arr=mysql_fetch_array($q)) {
echo $fsize1;
echo "<a href=\"mpanel.php?action=del&amp;$ses&amp;go=dnews&amp;mid=".$arr['id']."\">".$arr['id'].":</a> ".$arr['content']."<br/>";  
echo $fsize2;
}
} else {
if(mysql_query("delete from news where id='$mid' limit 1;")){ 
echo $fsize1;
echo "<b>Запись успешно удалена!</b><br/>";
echo $fsize2;
}
}
}
break;

case 'mmeet':
$title=trim(htmlspecialchars(stripslashes($title)));
$content=trim(htmlspecialchars(stripslashes($content)));
$organizatory=trim(htmlspecialchars(stripslashes($organizatory)));
if(empty($title)) $error=$error."<u>Название не введено!</u><br/>";
if(empty($content)) $error=$error."<u>Пустое содержание встречи!</u><br/>";
if(empty($organizatory)) $error=$error."<u>Организаторов нет!</u><br/>";
if(empty($action)) {
if ($ver=="wml"){
echo $fsize1;
echo "Название:<br/>";
echo $fsize2;
echo "<input name=\"title\"/><br/>";
echo $fsize1;
echo "Содержание:<br/>";
echo $fsize2;
echo "<input name=\"content\"/><br/>";
echo $fsize1;
echo "Организаторы:<br/>";
echo $fsize2;
echo "<input name=\"organizatory\"/><br/>";
echo $fsize1;				
echo "<anchor>Добавить<go href=\"mpanel.php?$ses&amp;go=mmeet\" method=\"post\">";
echo "<postfield name=\"action\" value=\"add\"/>";
echo "<postfield name=\"title\" value=\"$(title)\"/>";
echo "<postfield name=\"content\" value=\"$(content)\"/>";
echo "<postfield name=\"organizatory\" value=\"$(organizatory)\"/>";
echo "</go></anchor>";
echo $fsize2;	
echo "<br/>";
}else{
echo "<form method=\"POST\" action=\"mpanel.php?$ses&amp;go=mmeet\" name=\"auth\">\n";
echo "<input type=\"hidden\" name=\"action\" value=\"add\"/>\n";
echo $fsize1;
echo "Название:<br/>";
echo $fsize2;
echo "<input type=\"text\" name=\"title\" value=\"$title\"/><br/>\n";
echo $fsize1;
echo "Содержание:<br/>";
echo $fsize2;
echo "<input type=\"text\" name=\"content\" value=\"$content\"/><br/>\n";
echo $fsize1;
echo "Организаторы:<br/>";
echo $fsize2;
echo "<input type=\"text\" name=\"organizatory\" value=\"$organizatory\"/><br/>\n";
echo "<input type=\"submit\" value=\"Добавить\" name=\"enter\"><br/>\n";
}
}else{ 
if(empty($error)) {
if($title!=$last_meet['title']) {
if(mysql_query("insert into vstrechi values(0,'$login','$title','$content','$organizatory');")) { 
echo $fsize1;
echo "<b>Ваша встреча успешно добавлена!</b><br/>"; 
echo $fsize2;
} else { 
echo $fsize1;
echo "<b>Проблемы с базой данных!</b><br/>"; 
echo $fsize2;
} 
} else { 
echo $fsize1;
echo "<b>Такая встреча уже добавлена!</b><br/>"; 
echo $fsize2;
}
} else { 
echo $fsize1;
echo $error; 
echo $fsize2;
} 
}
break;

case 'dmeet':
$q = mysql_query("select id,title from vstrechi order by id desc;");
if (mysql_affected_rows() == 0) {
echo $fsize1;
echo "Встреч нет!!!<br/>\n";
echo $fsize2;
} else {
if(empty($action)) {
while($arr=mysql_fetch_array($q)) {
echo $fsize1;
echo "<a href=\"mpanel.php?action=del&amp;$ses&amp;go=dmeet&amp;mid=".$arr['id']."\">".$arr['title']."</a><br/>";  
echo $fsize2;
}
} else {
if(mysql_query("delete from vstrechi where id='$mid' limit 1;")){ 
echo $fsize1;
echo "<b>Запись успешно удалена!</b><br/>";
echo $fsize2;
}
}
}
break;

case 'mgaz':
$title=trim(htmlspecialchars(stripslashes($title)));
$content=trim(htmlspecialchars(stripslashes($content)));
$organizatory=trim(htmlspecialchars(stripslashes($organizatory)));
if(empty($title)) $error=$error."<u>Название не введено!</u><br/>";
if(empty($content)) $error=$error."<u>Пустое содержание!</u><br/>";
if(empty($organizatory)) $error=$error."<u>Автора нет!</u><br/>";
if(empty($action)) {
if ($ver=="wml"){
echo $fsize1;
echo "Название:<br/>";
echo $fsize2;
echo "<input name=\"title\"/><br/>";
echo $fsize1;
echo "Содержание:<br/>";
echo $fsize2;
echo "<input name=\"content\"/><br/>";
echo $fsize1;
echo "Автор(ы):<br/>";
echo $fsize2;
echo "<input name=\"organizatory\"/><br/>";
echo $fsize1;				
echo "<anchor>Добавить<go href=\"apanel.php?$ses&amp;go=mgaz$takep\" method=\"post\">";
echo "<postfield name=\"action\" value=\"add\"/>";
echo "<postfield name=\"title\" value=\"$(title)\"/>";
echo "<postfield name=\"content\" value=\"$(content)\"/>";
echo "<postfield name=\"organizatory\" value=\"$(organizatory)\"/>";
echo "</go></anchor>";
echo $fsize2;	
echo "<br/>";
}else{
echo "<form method=\"POST\" action=\"mpanel.php?$ses&amp;go=mgaz$takep\" name=\"auth\">\n";
echo "<input type=\"hidden\" name=\"action\" value=\"add\"/>\n";
echo $fsize1;
echo "Название:<br/>";
echo $fsize2;
echo "<input type=\"text\" name=\"title\" value=\"$title\"/><br/>\n";
echo $fsize1;
echo "Содержание:<br/>";
echo $fsize2;
echo "<input type=\"text\" name=\"content\" value=\"$content\"/><br/>\n";
echo $fsize1;
echo "Автор(ы):<br/>";
echo $fsize2;
echo "<input type=\"text\" name=\"organizatory\" value=\"$organizatory\"/><br/>\n";
echo "<input type=\"submit\" value=\"Добавить\" name=\"enter\"><br/>\n";
}
}else{ 
if(empty($error)) {
if($title!=$last_gaz['title']) {
if(mysql_query("insert into gazeta values(0,'".$login."','".$title."','".$content."','".$organizatory."');")) { 
echo $fsize1;
echo "<b>Ваша запись успешно добавлена!</b><br/>"; 
echo $fsize2;
} else { 
echo $fsize1;
echo "<b>Проблемы с базой данных!</b><br/>"; 
echo $fsize2;
} 
} else { 
echo $fsize1;
echo "<b>Такая Запись уже добавлена!</b><br/>"; 
echo $fsize2;
}
} else { 
echo $fsize1;
echo $error; 
echo $fsize2;
} 
}
break;

case 'dgaz':
$q = mysql_query("select id,title from gazeta order by id desc;");
if (mysql_affected_rows() == 0) {
echo $fsize1;
echo "Газета пуста!!!<br/>\n";
echo $fsize2;
} else {
if(empty($action)) {
while($arr=mysql_fetch_array($q)) {
echo $fsize1;
echo "<a href=\"mpanel.php?action=del&amp;$ses&amp;go=dgaz&amp;mid=".$arr['id']."$takep\">".$arr['title']."</a><br/>";  
echo $fsize2;
}
} else {
if(mysql_query("delete from gazeta where id='".$mid."' limit 1;")){ 
echo $fsize1;
echo "<b>Запись успешно удалена!</b><br/>";
echo $fsize2;
}
}
}
break;

case 'minfa':
$title=trim(htmlspecialchars(stripslashes($title)));
$content=trim(htmlspecialchars(stripslashes($content)));
$organizatory=trim(htmlspecialchars(stripslashes($organizatory)));
if(empty($title)) $error=$error."<u>Название не введено!</u><br/>";
if(empty($content)) $error=$error."<u>Пустое содержание!</u><br/>";
if(empty($organizatory)) $error=$error."<u>Автора нет!</u><br/>";
if(empty($action)) {
if ($ver=="wml"){
echo $fsize1;
echo "Название:<br/>";
echo $fsize2;
echo "<input name=\"title\"/><br/>";
echo $fsize1;
echo "Содержание:<br/>";
echo $fsize2;
echo "<input name=\"content\"/><br/>";
echo $fsize1;
echo "Автор(ы):<br/>";
echo $fsize2;
echo "<input name=\"organizatory\"/><br/>";
echo $fsize1;				
echo "<anchor>Добавить<go href=\"mpanel.php?$ses&amp;go=minfa$takep\" method=\"post\">";
echo "<postfield name=\"action\" value=\"add\"/>";
echo "<postfield name=\"title\" value=\"$(title)\"/>";
echo "<postfield name=\"content\" value=\"$(content)\"/>";
echo "<postfield name=\"organizatory\" value=\"$(organizatory)\"/>";
echo "</go></anchor>";
echo $fsize2;	
echo "<br/>";
}else{
echo "<form method=\"POST\" action=\"mpanel.php?$ses&amp;go=minfa$takep\" name=\"auth\">\n";
echo "<input type=\"hidden\" name=\"action\" value=\"add\"/>\n";
echo $fsize1;
echo "Название:<br/>";
echo $fsize2;
echo "<input type=\"text\" name=\"title\" value=\"$title\"/><br/>\n";
echo $fsize1;
echo "Содержание:<br/>";
echo $fsize2;
echo "<input type=\"text\" name=\"content\" value=\"$content\"/><br/>\n";
echo $fsize1;
echo "Автор(ы):<br/>";
echo $fsize2;
echo "<input type=\"text\" name=\"organizatory\" value=\"$organizatory\"/><br/>\n";
echo "<input type=\"submit\" value=\"Добавить\" name=\"enter\"><br/>\n";
}
}else{ 
if(empty($error)) {
if($title!=$last_meet['title']) {
if(mysql_query("insert into infa values(0,'".$login."','".$title."','".$content."','".$organizatory."');")) { 
echo $fsize1;
echo "<b>Ваша инфа успешно добавлена!</b><br/>"; 
echo $fsize2;
} else { 
echo $fsize1;
echo "<b>Проблемы с базой данных!</b><br/>"; 
echo $fsize2;
} 
} else { 
echo $fsize1;
echo "<b>Такая инфа уже добавлена!</b><br/>"; 
echo $fsize2;
}
} else { 
echo $fsize1;
echo $error; 
echo $fsize2;
} 
}
break;

case 'dinfa':
$q = mysql_query("select id,title from infa order by id desc;");
if (mysql_affected_rows() == 0) {
echo $fsize1;
echo "Инфы нет!!!<br/>\n";
echo $fsize2;
} else {
if(empty($action)) {
while($arr=mysql_fetch_array($q)) {
echo $fsize1;
echo "<a href=\"mpanel.php?action=del&amp;$ses&amp;go=dinfa&amp;mid=".$arr['id']."$takep\">".$arr['title']."</a><br/>";  
echo $fsize2;
}
} else {
if(mysql_query("delete from infa where id='".$mid."' limit 1;")){ 
echo $fsize1;
echo "<b>Запись успешно удалена!</b><br/>";
echo $fsize2;
}
}
}
break;

case 'mobi':
$title=trim(htmlspecialchars(stripslashes($title)));
$content=trim(htmlspecialchars(stripslashes($content)));
$login=trim(htmlspecialchars(stripslashes($login)));
if(empty($title)) $error=$error."<u>Название не введено!</u><br/>";
if(empty($content)) $error=$error."<u>Пустое содержание встречи!</u><br/>";
if(empty($action)) {
if ($ver=="wml"){
echo $fsize1;
echo "Название:<br/>";
echo $fsize2;
echo "<input name=\"title\"/><br/>";
echo $fsize1;
echo "Содержание:<br/>";
echo $fsize2;
echo "<input name=\"content\"/><br/>";
echo $fsize1;
echo "<anchor>Добавить<go href=\"mpanel.php?$ses&amp;go=mobi\" method=\"post\">";
echo "<postfield name=\"action\" value=\"add\"/>";
echo "<postfield name=\"title\" value=\"$(title)\"/>";
echo "<postfield name=\"content\" value=\"$(content)\"/>";
echo "</go></anchor>";
echo $fsize2;
echo "<br/>";
}else{
echo "<form method=\"POST\" action=\"mpanel.php?$ses&amp;go=mobi\" name=\"auth\">\n";
echo "<input type=\"hidden\" name=\"action\" value=\"add\"/>\n";
echo $fsize1;
echo "Название:<br/>";
echo $fsize2;
echo "<input type=\"text\" name=\"title\"/><br/>\n";
echo $fsize1;
echo "Содержание:<br/>";
echo $fsize2;
echo "<input type=\"text\" name=\"content\"/><br/>\n";
echo "<input type=\"submit\" value=\"Добавить\" name=\"enter\"><br/>\n";
}
} else { 
if(empty($error)) {
if($title!=$last_obiav['title']) {
if(mysql_query("insert into obiav values(0,'".$login."','".$title."','".$content."');")) { 
echo $fsize1;
echo "<b>Ваше объявление успешно добавлено!</b><br/>"; 
echo $fsize2;
} else { 
echo $fsize1;
echo "<b>Проблемы с базой данных!</b><br/>"; 
echo $fsize2;
} 
} else { 
echo $fsize1;
echo "<b>Такое объявление уже добавлено</b><br/>";
echo $fsize2;
}
} else { 
echo $fsize1;
echo $error; 
echo $fsize2;
} 
}
break;

case 'dobi':
$q = mysql_query("select * from obiav order by id desc;");
if (mysql_affected_rows() == 0) {
echo $fsize1;
echo "Объявлений нет!!!<br/>\n";
echo $fsize2;
} else {
if(empty($action)) {
while($arr=mysql_fetch_array($q)) {
echo $fsize1;
echo "<a href=\"mpanel.php?action=del&amp;$ses&amp;go=dobi&amp;mid=".$arr['id']."\">".$arr['title']."</a><br/>"; 
echo $fsize2;
}
} else {
if (!ctype_digit($mid)) {header("Location: index.php"); die;}
if(mysql_query("delete from obiav where id='".$mid."' limit 1;")){ 
echo $fsize1;
echo "<b>Объявление успешно удалено!</b><br/>";
echo $fsize2;
}
}
}
break;

case 'clroom':
echo $fsize1;
echo "Комнаты будут автоматически очищены через 3 минуты!<br/>\n";
echo $fsize2;
if(isset($rm)) echo "<a href=\"chat.php?$ses&amp;rm=$rm&amp;ref=$ref\">В чат</a><br/>";
$fp=fopen("log/clear.dat", "w");
fclose($fp);
$f=fopen("log/clear.dat","a+");
flock($f,LOCK_EX);
$cleardata = time() + 200;
fwrite($f,$cleardata);
fflush($f);
flock($f,LOCK_UN);
fclose($f);
$rnd = rand(0,99999999);
$mes = "<b>Внимание! Через 3 минуты будет очистка комнат. И не говорите потом, что вас не предупреждали =)</b>";
$today=date("H:i");
$time = getmicrotime();
for ($num = 0; $num <= 23; $num++){
$ranec = "room".$num;
mysql_query ("Insert into $ranec set klu4= '".$rnd."', time='".$today."', who='".$us."', message='".$mes."', id='".$time."', towhom='', hid='".$idd."', usid='".$idd."', komu=''");
mysql_query("ANALYZE TABLE $ranec");
}
break;

case 'stpanel':
if($row["level"] < 6){
echo "У вас нет прав доступа!\n";
break;
}     
if (!ctype_digit($nick)){	 
if(!isset($nick))$nick=0;
$nick=trim($nick);
if($nick=="")$nick=0;
$latuser=strtolower($nick);
$ruser = rus_to_k($nick);
if($ruser==$nick){
$latuser = mysql_escape_string($latuser);
$select = mysql_query ("Select * from users where latuser = '".$latuser."'"); 
}else{
$ruser = mysql_escape_string($ruser);
$select = mysql_query ("select * from users where ruser = '".$ruser."'");
}
}else{
$nick = mysql_escape_string($nick);
$select = mysql_query ("select * from users where id = '".$nick."'");
}
if (mysql_affected_rows() == 0) {
echo "Нет такого юзера<br/>\n";
break;
}
$inf = mysql_fetch_array ($select);
$level1=$row["level"];
$level2=$inf["level"];
$upid=$inf["id"];
if ($level1>=$level2){
echo $fsize1;
if ($ver!="wml") echo "<form method=\"POST\" action=\"mpanel.php?$ses&amp;go=upd&amp;ref=$ref\" name=\"go\">\n";
echo "ID-Номер:<br/>\n";
echo "<b>".$upid."</b><br/>\n";
echo "Ник:<br/>\n"; 
echo $fsize2;
echo "<input name=\"upnick\" maxlength=\"13\" value=\"$inf[user]\" title=\"nick\"/><br/>\n"; 
echo $fsize1;
echo "Статус:<br/>\n"; 
echo $fsize2;
echo "<input name=\"status\" maxlength=\"20\" value=\"$inf[status]\" title=\"status\"/><br/>\n";
echo $fsize1;
echo "Невидимость(только для ст.Модеров!):<br/>\n"; 
echo $fsize2;
echo "<select name=\"inv\">\n";
if ($row["inv"] == 0){
echo "<option value=\"0\">Отключена</option>\n";
echo "<option value=\"1\">Включена</option>\n";
} else { 
echo "<option value=\"1\">Включена</option>\n";
echo "<option value=\"0\">Отключена</option>\n";
}
echo "</select><br/>\n";
if ($ver=="wml"){
echo $fsize1;
echo "<anchor title=\"go\">Сохранить<go href=\"mpanel.php?$ses&amp;go=upd&amp;ref=$ref\" method=\"post\">\n";
echo "<postfield name=\"upid\" value=\"$upid\"/>\n";
echo "<postfield name=\"upnick\" value=\"$(upnick)\"/>\n";
echo "<postfield name=\"status\" value=\"$(status)\"/>\n"; 
echo "<postfield name=\"inv\" value=\"$(inv)\"/>\n";
echo "</go></anchor>\n";
echo $fsize2;
echo "<br/>\n";   
}else{
echo "<input type=\"hidden\" name=\"upid\" value=\"$inf[id]\"/>\n";
echo "<input type=\"submit\" value=\"Сохранить\" name=\"enter\"><br/>\n";
}
echo $fsize1;
echo $divide;
echo "<a href=\"mpanel.php?$ses&amp;go=1000&amp;upid=$upid&amp;ref=$ref\">Дать 1000 постов</a><br/>";
echo $fsize2;
}else{
echo $fsize1;
echo "Вы не можете просматривать и изменять инфо Админа или Юзера выше Вас по статусу.<br/>\n";  
echo $fsize2;
}
break;

case 'upd':
$upnick = mysql_escape_string($upnick);     
$upnick=trim($upnick); 
if($upnick==""){          
echo $fsize1;
echo "Ошибка ".$upnick."<br/>\n";
echo $fsize2;
break;          
} 
$latuser=strtolower($upnick);
$ruser = rus_to_k($upnick);
if($ruser==$upnick){
$latuser = mysql_escape_string($latuser);
if (!ctype_digit($upid)) {header("Location: index.php"); die;}
mysql_query ("Select * from users where (latuser = '".$latuser."')and(id != '".$upid."')"); 
}else{
$ruser = mysql_escape_string($ruser);
if (!ctype_digit($upid)) {header("Location: index.php"); die;}
mysql_query ("select * from users where (ruser = '".$ruser."')and(id != '".$upid."')");
}
if (mysql_affected_rows() != 0){
echo $fsize1;
echo "Пользователь с таким ником уже сушествует<br/>\n";
echo $fsize2;
break;    
}
$upnick = check($upnick);
$ruser = check($ruser);
$latuser = check($latuser);
$status = check($status);
$upnick = mysql_escape_string($upnick);
$ruser = mysql_escape_string($ruser);
$latuser = mysql_escape_string($latuser);
$status = mysql_escape_string($status);
if (!ctype_digit($inv)) { header("Location: index.php"); die; }
if (!ctype_digit($upid)) {header("Location: index.php"); die;}
if ($ruser==$upnick) $ins_str = "Update users set user='".$upnick."', status='".$status."', inv='".$inv."', ruser = '', latuser = '".$latuser."' where id ='".$upid."'";
else $ins_str = "Update users set user='".$upnick."', status='".$status."', inv='".$inv."', ruser = '".$ruser."', latuser = '' where id ='".$upid."'";
if (mysql_query ($ins_str)) {
echo $fsize1;
echo "Профиль изменен<br/>\n";
echo $fsize2;
}else{
echo $fsize1;
echo "Ошибка базы данных<br/>\n";
echo $fsize2;
}
break;

case '1000':
if($row["level"] < 6){
echo $fsize1;
echo "У вас нет прав доступа!\n";
echo $fsize2;
break;
}       
if (!ctype_digit($upid)) { header("Location: index.php"); die; }
$result = mysql_query ("select * from users where id = '".$upid."'");
if (mysql_affected_rows() == 0) {
echo $fsize1;
echo "Нет такого юзера<br/>\n";
echo $fsize2;
break;
}
$row = mysql_fetch_array ($result);
echo $fsize1;
echo "Вы можете поставить юзеру 1000 постов. Это сделано для того чтобы он тянул в чат новых людей! Посты не плюсуются!<br/>";
echo "Ник: <b>$row[user]</b><br/>\n";
echo "<a href=\"mpanel.php?$ses&amp;go=upd1&amp;upid=$upid&amp;ref=$ref\">Дать 1000 постов</a><br/>";
echo $fsize2;
echo "<br/>\n";   
break;

case 'upd1':
if (mysql_query ("Update users set posts='1000' where id ='".$upid."'")){
echo $fsize1;
echo "Профиль изменен<br/>\n";
echo $fsize2;
}else{
echo $fsize1;
echo "Ошибка базы данных<br/>\n";
echo $fsize2;
}
break;    

case 'razvod':
if ($ver!="wml") echo "<form method=\"POST\" action=\"mpanel.php?$ses&amp;go=updrazvod\" method=\"post\">\n";
echo $fsize1;
echo "Ник мужа:<br/>";
echo $fsize2;
echo "<input name=\"zhenih\" maxlength=\"13\"/><br/>";
echo $fsize1;
echo "Ник жены:<br/>";
echo $fsize2;
echo "<input name=\"nevesta\" maxlength=\"13\"/><br/>";
if ($ver=="wml"){
echo $fsize1;				
echo "<anchor>Развести<go href=\"mpanel.php?$ses&amp;go=updrazvod\" method=\"post\">";
echo "<postfield name=\"zhenih\" value=\"$(zhenih)\"/>";
echo "<postfield name=\"nevesta\" value=\"$(nevesta)\"/>";
echo "</go></anchor>";
echo $fsize2;	
echo "<br/>";
}else{
echo "<input type=\"submit\" value=\"Развести\" name=\"enter\"><br/>\n";
}
break;

case 'updrazvod':
$zhenih=trim(htmlspecialchars(stripslashes($zhenih)));
$nevesta=trim(htmlspecialchars(stripslashes($nevesta)));
if(empty($zhenih)) $error=$error."<u>Не заполнено поле Жених!</u><br/>";
if(empty($nevesta)) $error=$error."<u>Не заполнено поле Невеста!</u><br/>";
$latuser=strtolower($zhenih);
$ruser = rus_to_k($zhenih);
if($ruser==$zhenih){
$latuser = mysql_escape_string($latuser);
$result = mysql_query ("Select id,user,pass,posts,status,level,credits,gposts,mafcredits,votefoto,byeotv,inv,user_ip,user_soft,para from users where latuser = '".$latuser."' and sex='М'"); 
} else {
$ruser = mysql_escape_string($ruser);
$result = mysql_query ("select id,user,pass,posts,status,level,credits,gposts,mafcredits,votefoto,byeotv,inv,user_ip,user_soft,para from users where ruser = '".$ruser."'  and sex='М'");
}
if (mysql_affected_rows() == 0) {
echo $fsize1;
echo "<u>Парня с ником <b>".$zhenih."</b> не сущетвует.</u><br/>";
echo $fsize2;
break;
}
$raz=mysql_fetch_array($result);
$zhena=$raz['para'];
if ($zhena!=$nevesta){
echo $fsize1;
echo "<b>".$nevesta."</b> не является женой для <b>".$zhenih."</b>.<br/>";
echo $fsize2;
break;
}

$latuser2=strtolower($nevesta);
$ruser2 = rus_to_k($nevesta);
if($ruser2==$nevesta){
$latuser2 = mysql_escape_string($latruser2);
$result = mysql_query ("Select id,user,pass,posts,status,level,credits,gposts,mafcredits,votefoto,byeotv,inv,user_ip,user_soft,para from users where latuser = '".$latuser2."' and sex='Ж'"); 
} else {
$ruser2 = mysql_escape_string($ruser2);
$result = mysql_query ("select id,user,pass,posts,status,level,credits,gposts,mafcredits,votefoto,byeotv,inv,user_ip,user_soft,para from users where ruser = '".$ruser2."' and sex='Ж'");
}
if (mysql_affected_rows() == 0) {
echo $fsize1;
echo "<u>Девушки с ником <b>".$nevesta."</b> не сущетвует.</u><br/>";
echo $fsize2;
break;
}
$raz=mysql_fetch_array($result);
$muj=$raz['para'];
if ($muj!=$zhenih){
echo $fsize1;
echo "<b>".$zhenih."</b> не является мужем для <b>".$nevesta."</b>.<br/>";
echo $fsize2;
break;
}
if(empty($error)) {
if($zhenih!=$last_svadbi['zhenih']) {
if(mysql_query("Update users set para='' where user ='".$zhenih."'")&&mysql_query("Update users set para='' where user ='".$nevesta."'")) { 
echo $fsize1;
echo "<b>Развод успешно завершён!</b><br/>"; 
echo $fsize2;
} else { 
echo $fsize1;
echo "<b>Проблемы с разводом! Пара не будет разведена или данные юзеры не расписаны</b><br/>"; 
echo $fsize2;
} 
} else { 
echo $fsize1;
echo "<b>Люди уже давно разведены!</b><br/>"; 
echo $fsize2;
}
} else { 
echo $fsize1;
echo $error; 
echo $fsize2;
}
break;

case 'msvadbi':
if ($ver!="wml") echo "<form method=\"POST\" action=\"mpanel.php?$ses&amp;go=updsvadbi\" name=\"auth\">\n";
echo $fsize1;
echo "Ник Жениха:<br/>";
echo $fsize2;
echo "<input name=\"zhenih\" maxlength=\"13\"/><br/>";
echo $fsize1;
echo "Ник Невесты:<br/>";
echo $fsize2;
echo "<input name=\"nevesta\" maxlength=\"13\"/><br/>";
echo $fsize1;
echo "Свидетель и друзья Жениха:<br/>";
echo $fsize2;
echo "<input name=\"frzhenih\"/><br/>";
echo $fsize1;
echo "Свидетельница и подруги Невесты:<br/>";
echo $fsize2;
echo "<input name=\"frnevesta\"/><br/>";
echo $fsize1;
echo "День Свадьбы:<br/>";
echo $fsize2;
echo "<input size=\"2\" name=\"day\" maxlength=\"2\" format=\"*N\"/>.<input size=\"2\" name=\"month\" maxlength=\"2\" format=\"*N\"/>.<input size=\"4\" name=\"year\" maxlength=\"4\" format=\"*N\"/><br/>"; 
echo $fsize1;
echo "Время Свадьбы:<br/>";
echo $fsize2;
echo "<input size=\"2\" name=\"chs\" maxlength=\"2\" format=\"*N\"/>:<input size=\"2\" name=\"min\" maxlength=\"2\" format=\"*N\"/><br/>";
if ($ver=="wml"){ 
echo $fsize1;				
echo "<anchor>Добавить<go href=\"mpanel.php?$ses&amp;go=updsvadbi\" method=\"post\">";
echo "<postfield name=\"zhenih\" value=\"$(zhenih)\"/>";
echo "<postfield name=\"nevesta\" value=\"$(nevesta)\"/>";
echo "<postfield name=\"frzhenih\" value=\"$(frzhenih)\"/>";
echo "<postfield name=\"frnevesta\" value=\"$(frnevesta)\"/>";
echo "<postfield name=\"day\" value=\"$(day)\"/>";
echo "<postfield name=\"month\" value=\"$(month)\"/>";
echo "<postfield name=\"year\" value=\"$(year)\"/>";
echo "<postfield name=\"chs\" value=\"$(chs)\"/>";
echo "<postfield name=\"min\" value=\"$(min)\"/>";
echo "<postfield name=\"organizatory\" value=\"$us\"/>";
echo "</go></anchor>";
echo $fsize2;	
echo "<br/>";
}else{
echo "<input type=\"submit\" value=\"Добавить\" name=\"enter\"><br/>\n";
}
break;

case 'updsvadbi':
$zhenih=trim(htmlspecialchars(stripslashes($zhenih)));
$nevesta=trim(htmlspecialchars(stripslashes($nevesta)));
$frzhenih=trim(htmlspecialchars(stripslashes($frzhenih)));
$frnevesta=trim(htmlspecialchars(stripslashes($frnevesta)));
$day=trim(htmlspecialchars(stripslashes($day)));
$month=trim(htmlspecialchars(stripslashes($month)));
$year=trim(htmlspecialchars(stripslashes($year)));
$chs=trim(htmlspecialchars(stripslashes($chs)));
$min=trim(htmlspecialchars(stripslashes($min)));
if(empty($zhenih)) $error=$error."<u>Не заполнено поле Жених!</u><br/>";
if(empty($nevesta)) $error=$error."<u>Не заполнено поле Невеста!</u><br/>";
if(empty($frzhenih)) $error=$error."<u>Не заполнено поле свидетель Жениха!</u><br/>";
if(empty($frnevesta)) $error=$error."<u>Не заполнено поле свидетельница Жевесты!</u><br/>";
if(empty($day)) $error=$error."<u>Не заполнено поле число!</u><br/>";
if(empty($month)) $error=$error."<u>Не заполнено поле месяц!</u><br/>";
if(empty($year)) $error=$error."<u>Не заполнено поле год!</u><br/>";
if(empty($chs)) $error=$error."<u>Не заполнено поле часов!</u><br/>";
if(empty($min)) $error=$error."<u>Не заполнено поле минут!</u><br/>";

$latuser=strtolower($zhenih);
$ruser = rus_to_k($zhenih);
if($ruser==$zhenih){
$latuser = mysql_escape_string($latuser);
$result = mysql_query ("Select id,user,pass,posts,status,level,credits,gposts,mafcredits,votefoto,byeotv,inv,user_ip,user_soft from users where latuser = '".$latuser."' and sex='М'"); 
} else {
$ruser = mysql_escape_string($ruser);
$result = mysql_query ("select id,user,pass,posts,status,level,credits,gposts,mafcredits,votefoto,byeotv,inv,user_ip,user_soft from users where ruser = '".$ruser."'  and sex='М'");
}
if (mysql_affected_rows() == 0) {
echo $fsize1;
echo "<u>Парня с ником <b>".$zhenih."</b> не сущетвует.</u><br/>";
echo $fsize2;
break;
}

$latuser2=strtolower($nevesta);
$ruser2 = rus_to_k($nevesta);
if($ruser2==$nevesta){
$latuser2 = mysql_escape_string($latruser2);
$result = mysql_query ("Select id,user,pass,posts,status,level,credits,gposts,mafcredits,votefoto,byeotv,inv,user_ip,user_soft from users where latuser = '".$latuser2."' and sex='Ж'"); 
} else {
$ruser2 = mysql_escape_string($ruser2);
$result = mysql_query ("select id,user,pass,posts,status,level,credits,gposts,mafcredits,votefoto,byeotv,inv,user_ip,user_soft from users where ruser = '".$ruser2."' and sex='Ж'");
}
if (mysql_affected_rows() == 0) {
echo  $fsize1;
echo  "<u>Девушки с ником <b>".$nevesta."</b> не сущетвует.</u><br/>";
echo  $fsize2;
break;
}

if(empty($error)) {
if($zhenih!=$last_svadbi['zhenih']) {
$days="$day.$month.$year";
$times="$chs:$min";
if(mysql_query("insert into svadbi values(0,'".$zhenih."','".$nevesta."','".$frzhenih."','".$frnevesta."','".$days."','".$times."','".$organizatory."');")&&
mysql_query("Update users set para='".$nevesta."' where user ='".$zhenih."'")&&mysql_query("Update users set para='".$zhenih."' where user ='".$nevesta."'")) { 
 $fsize1;
echo  "<b>Свадьба успешно добавлена!</b><br/>"; 
echo  $fsize2;
} else { 
echo  $fsize1;
echo  $fsize2;
} 
} else { 
echo  $fsize1;
echo  "<b>Такая свадьба уже добавлена!</b><br/>"; 
echo  $fsize2;
}
} else { 
echo  $fsize1;
echo  $error; 
echo  $fsize2;
}
break;

case 'dsvadbi':
$q = mysql_query("select id,zhenih,nevesta,date from svadbi order by id desc;");
if (mysql_affected_rows() == 0) {
echo $fsize1;
echo "Свадьбы не назначены!!!<br/>\n";
echo $fsize2;
} else {
if(empty($action)) {
while($arr=mysql_fetch_array($q)) {
echo $fsize1;
echo "<a href=\"mpanel.php?action=del&amp;$ses&amp;go=dsvadbi&amp;mid=".$arr['id']."\">Свадьба ".$arr['zhenih']." &amp; ".$arr['nevesta'].". (".$arr['date'].")</a><br/>";  
echo $fsize2;
}
} else {
settype($mid, 'integer');
if(mysql_query("delete from svadbi where id='".$mid."' limit 1;")){ 
echo $fsize1;
echo "<b>Свадьба успешно удалена!</b><br/>";
echo $fsize2;
}
}
}
break;
}
echo $fsize1;
echo $divide;
if($go) echo "<a href=\"mpanel.php?$ses&amp;ref=$ref\">&#8592; Модерка</a><br/>\n";
echo "<a href=\"enter.php?$ses&amp;ref=$ref\">&#8592; Прихожая</a><br/>\n";
echo $fsize2;
if ($ver=="wml")echo "</p></card></wml>";
else echo "</div></body></html>";
$pagesize=round((ob_get_length())/1024,1);
$alltraf=$alltraf+$pagesize;
mysql_query ("Update users set alltraf='".$alltraf."', lasttraf='".$pagesize."' where id='".$id."'");
mysql_close ($link);
ob_end_flush();
?>
